---
title: DeviceMotionEventRotationRate
slug: Web/API/DeviceMotionEventRotationRate
tags:
  - API
  - DOM
  - DOM Reference
  - Experimental
  - Reference
---
<p>{{ ApiRef("Device Orientation Events") }} {{SeeCompatTable}}</p>

<p>A <code>DeviceMotionEventRotationRate</code> object provides information about the rate at which the device is rotating around all three axes.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{ domxref("DeviceMotionEventRotationRate.alpha") }} {{readonlyInline}}</dt>
 <dd>The amount of rotation around the Z axis, in degrees per second.</dd>
 <dt>{{ domxref("DeviceMotionEventRotationRate.beta") }} {{readonlyInline}}</dt>
 <dd>The amount of rotation around the X axis, in degrees per second.</dd>
 <dt>{{ domxref("DeviceMotionEventRotationRate.gamma") }} {{readonlyInline}}</dt>
 <dd>The amount of rotation around the Y axis, in degrees per second.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Device Orientation', '#devicemotioneventrotationrate', 'DeviceMotionEventRotationRate')}}</td>
   <td>{{Spec2('Device Orientation')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DeviceMotionEventRotationRate")}}</p>
</div>
